x0 = str2num(get(findobj('Tag','x0'),'String'));% souradnice X0
y0 = str2num(get(findobj('Tag','y0'),'String'));% souradnice Y0
x1 = str2num(get(findobj('Tag','x1'),'String'));% souradnice X1
y1 = str2num(get(findobj('Tag','y1'),'String'));% souradnice Y1
x = x1-x0;  %velikost vyřezu v x
y = y1-y0;  %velikost vyřezu v y
data(1:y,1:x)= double(0); %vytvoření bufru

nastaveni.images.cesta=get(findobj('Tag','Cesta_obr'),'String'); %cetsa k souborum
nastaveni.images.cesta2=get(findobj('Tag','Cesta_obr_ulz'),'String'); %cetsa k souborum
pamet.soubory = dir(nastaveni.images.cesta);                                %Načte seznam adresařovou strukturu na daném umístění
index_p = 0;
for index = 1:size(pamet.soubory)
    if strfind(pamet.soubory(index,1).name, 'jpg') > 0 %vzfiltruje jpg obrazky
        index_p =index_p + 1;
        pamet.soubory_img(index_p,1) = pamet.soubory(index,1); 
        
    end
end  

for index = 1:1:index_p
    pomocna = double(imread(strcat(nastaveni.images.cesta,pamet.soubory_img(1,1).name)));
    data=data+pomocna(1:300,1:300,:);
end

for xx=1:x
    for yy=1:y
        for zz=1:3
            data(yy,xx,zz)=data(yy,xx,zz)/10;
        end
    end
end
imwrite(data,nastaveni.images.cesta2);